#ifndef _PANEL_H
#define _PANEL_H

/*************************************************************************
 * File: $Source$
 * Author: Jan Newmarch
 * Last modified: $Date$
 * Version: $Revision$
 * Purpose: header for Panel object
 *
 * Revision history:
 ************************************************************************/ 

/*************************************************************************
 * System includes
 ************************************************************************/ 
#include <X11/Intrinsic.h>

/*************************************************************************
 * Local includes
 ************************************************************************/ 
#include "types.h"

/*************************************************************************
 * Constants
 ************************************************************************/ 

/*************************************************************************
 * Data types
 ************************************************************************/ 

/*************************************************************************
 * Functions exported
 ************************************************************************/ 
void
PanelSetFiles (
#ifdef UseFunctionPrototypes
        dir_pane_info *dpi
#endif
);

Widget
PanelCreate  (
#ifdef UseFunctionPrototypes
        Widget form, dir_pane_info *dpi
#endif
);

extern void PanelSetFiltersInLabels (
#ifdef UseFunctionPrototypes
        dir_pane_info *dpi
#endif
);


void
ResetPanesAndSelectFile (
#ifdef UseFunctionPrototypes
        dir_pane_info *dpi, char *orig_file_name
#endif
);



/*************************************************************************
 * Variables exported
 ************************************************************************/ 

#endif /* _PANEL_H */
