#ifndef _TOOLBAR__H
#define _TOOLBAR_H

/*************************************************************************
 * File: $Source: /usr/usrs/xsource/xmfm/RCS/shell.c,v $
 * Author: Jan Newmarch
 * Last modified: $Date: 1992/08/11 06:05:09 $
 * Version: $Revision: 1.2 $
 * Purpose:
 *
 * Revision history:
 ************************************************************************/ 

/*************************************************************************
 * System includes
 ************************************************************************/ 
#include <X11/Intrinsic.h>

/*************************************************************************
 * Local includes
 ************************************************************************/ 
#include "types.h"

/*************************************************************************
 * Constants
 ************************************************************************/ 

/*************************************************************************
 * Data types
 ************************************************************************/ 

/*************************************************************************
 * Functions exported
 ************************************************************************/ 
Widget
FilesToolbarCreate (
#ifdef UseFunctionPrototypes
        Widget form, dir_pane_info *dpi
#endif
);

void
ToolbarClear (
#ifdef UseFunctionPrototypes
        Widget *toolbar
#endif
);

Widget
DirsToolbarCreate (
#ifdef UseFunctionPrototypes
        Widget form, dir_pane_info *dpi
#endif
);

void
ToolbarSetActions (
#ifdef UseFunctionPrototypes
        WidgetList toolbar, file_action *pfa
#endif
);


/*************************************************************************
 * Variables exported
 ************************************************************************/ 

#endif /* _TOOLBAR_H */
