
#include "copyright.h"

#ifndef _XMFM_CONST_H
#define _XMFM_CONST_H

/* let editres work on this application under R5 */
/* #define ALLOW_EDITRES */

/* max number of args to a widget set/get */
#define MAX_ARGS	20

/* returns from modal dialogs */
#define OK_ANSWER 0
#define CANCEL_ANSWER 1

/* client data in file menu callbacks to tell where
** it came from
*/
#define EXIT_DIALOG 0
#define LOAD_DIALOG 1 
#define SAVE_DIALOG 2 
#define NEW_DIALOG 3 
#define PRINT_DIALOG 4 

#define DIRS_TOOLBAR_SIZE 6
#define FILES_TOOLBAR_SIZE 6

#define FILE_TYPE 'f'
#define DIR_TYPE  'd'
#define EXECUTABLE_TYPE 'x'
#define PANE_TYPE 'p'

#define CHDIR_COMMAND "cd"
#define LEN_CHDIR_COMMAND 2

#define OPENDIR_COMMAND "opendir"
#define LEN_OPENDIR_COMMAND 7

#define INFO_COMMAND "information"
#define LEN_INFO_COMMAND 11

#include <sys/stat.h>
#ifndef S_IXUSR
/* Apollo eg has none of this stuff */
#define S_IRUSR 0400
#define S_IWUSR 0200
#define S_IXUSR 0100
#define S_IRGRP 0040
#define S_IWGRP 0020
#define S_IXGRP 0010
#define S_IROTH 0004
#define S_IWOTH 0002
#define S_IXOTH 0001
#endif

/* SYS V has SIGCLD instead of SIGCHLD */
#include <signal.h>
#ifndef SIGCHLD
#define SIGCHLD SIGCLD
#endif

#endif /* _XMFM_CONST_H */
