#ifndef _PANEB_H
#define _PANEB_H

/*************************************************************************
 * File: $Source$
 * Author: Jan Newmarch
 * Last modified: $Date$
 * Version: $Revision$
 * Purpose:
 *
 * Revision history:
 ************************************************************************/ 

/*************************************************************************
 * System includes
 ************************************************************************/ 
#include <X11/Intrinsic.h>

/*************************************************************************
 * Local includes
 ************************************************************************/ 
#include "types.h"

/*************************************************************************
 * Constants
 ************************************************************************/ 

/*************************************************************************
 * Data types
 ************************************************************************/ 

/*************************************************************************
 * Functions exported
 ************************************************************************/ 
Widget
PaneButtonCreate (
#ifdef UseFunctionPrototypes
        char *filename, char *button_name, dir_pane_info *dpi,
        Widget parent, char file_type
#endif
);

void
PaneButtonResetLabel  (
#ifdef UseFunctionPrototypes
        Widget w, char *label, char file_type
#endif
);

extern void PaneButtonPressed (
#ifdef UseFunctionPrototypes
        Widget w, XtPointer client_data, XtPointer call_data
#endif
);

extern void PaneButtonReleased (
#ifdef UseFunctionPrototypes
        Widget w, XtPointer client_data, XtPointer call_data
#endif
);


/*************************************************************************
 * Variables exported
 ************************************************************************/ 

#endif /* _PANEB_H */
